IOSS 2.0

Classes | Namespaces | Functions | Variables
cgns_decomp.C File Reference
`#include <Ionit_Initializer.h>`
`#include <algorithm>`
`#include <cmath>`
`#include <cstddef>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstring>`
`#include <fstream>`
`#include <iomanip>`
`#include <iostream>`
`#include <map>`
`#include <numeric>`
`#include <set>`
`#include <stdexcept>`
`#include <string>`
`#include <sys/ioctl.h>`
`#include <unistd.h>`
`#include <utility>`
`#include <vector>`
`#include <Ioss_CodeTypes.h>`
`#include <Ioss_DatabaseIO.h>`
`#include <Ioss_GetLongOpt.h>`
`#include <Ioss_IOFactory.h>`
`#include <Ioss_Property.h>`
`#include <Ioss_Region.h>`
`#include <Ioss_ScopeGuard.h>`
`#include <Ioss_SmartAssert.h>`
`#include <Ioss_Utils.h>`
`#include <Ioss_ZoneConnectivity.h>`
`#include <cgns/Iocgns_StructuredZoneData.h>`
`#include <cgns/Iocgns_Utils.h>`
`#include <fmt/color.h>`
`#include <fmt/format.h>`
Include dependency graph for cgns_decomp.C:

## Classes
class | anonymous_namespace{cgns_decomp.C}::Interface

## Namespaces
| anonymous_namespace{cgns_decomp.C}

## Functions
int | anonymous_namespace{cgns_decomp.C}::term_width ()
void | anonymous_namespace{cgns_decomp.C}::cleanup (std::vector< Iocgns::StructuredZoneData * > &zones)
double | anonymous_namespace{cgns_decomp.C}::surface_ratio (const Iocgns::StructuredZoneData *zone)
int64_t | anonymous_namespace{cgns_decomp.C}::generate_guid (size_t id, int rank, int proc_count)
void | anonymous_namespace{cgns_decomp.C}::update_zgc_data (std::vector< Iocgns::StructuredZoneData * > &zones, int proc_count)
void | anonymous_namespace{cgns_decomp.C}::validate_decomposition (std::vector< Iocgns::StructuredZoneData * > &zones, int proc_count)
void | anonymous_namespace{cgns_decomp.C}::output_communications (std::vector< Iocgns::StructuredZoneData * > &zones, int proc_count)
void | anonymous_namespace{cgns_decomp.C}::output_histogram (const std::vector< size_t > &proc_work, size_t avg_work, size_t median)
void | anonymous_namespace{cgns_decomp.C}::describe_decomposition (std::vector< Iocgns::StructuredZoneData * > &zones, size_t orig_zone_count, const Interface &interFace)
int | main (int argc, char *argv[])

## Variables
std::string | anonymous_namespace{cgns_decomp.C}::codename
std::string | anonymous_namespace{cgns_decomp.C}::version = "0.96"

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |